{: test that string assignment causes a compilation error
   if the rhs is not a compatible string}

program e1073( output );

type
   str = packed array[1..10] of char;

var
   s,s0 : str;
   s1   : packed array[1..9] of char;

begin { e1073 }
   s0 := '1234';
   s := s0;
   s1 := 'abcdef';
   s := s1; {!!! not a compatible string}
end. { e1073 }

